<template>
  <div>
    <!-- table -->
    <b-table striped hover
             id="my-table"
             :fields="tableFields"
             :items="tableItems"
             :current-page="currentPage"
             :per-page="perPage"
    ></b-table>
    <!-- pagination -->
    <b-pagination
      v-model="currentPage"
      :total-rows="rows"
      :per-page="perPage"
      aria-controls="my-table"
    ></b-pagination>
  </div>
</template>

<script>
export default {
  props: {
    tableItems: {
      type: Array,
      require: true
    },
    tableFields: {
      type: Array,
      require: true
    }
  },
  data() {
    return {
      currentPage: 1,
      perPage: 10,
    }
  },
  computed: {
    rows() {
      return this.tableItems.length
    }
  }
}
</script>
